%define upstream_name    Dist-Zilla-Plugin-FindDirByRegex
%define upstream_version 1.102640

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A regex-based FileFinder plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::FileFinder)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
This plugin finds files in a directory and skips them if they match a
regular expression.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.102.640-10.mga9
+ Revision: 1803287
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.102.640-9.mga8
+ Revision: 1494334
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.102.640-8.mga7
+ Revision: 1267525
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.102.640-7.mga6
+ Revision: 1026201
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.102.640-6.mga6
+ Revision: 944772
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.102.640-5.mga5
+ Revision: 749152
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.102.640-3.mga4
+ Revision: 511004
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.102.640-2.mga3
+ Revision: 366152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 1.102.640-1.mga1
+ Revision: 71130
- imported package perl-Dist-Zilla-Plugin-FindDirByRegex


* Mon Mar 14 2011 cpan2dist 1.102640-1mga
- initial mageia release, generated with cpan2dist
